Play an audio stream into a call
This code snippet plays an audio stream into the specified call.
Example
Replace the following variables in the example code:
| キー | 説明 |
|---|---|
VOICE_CALL_ID | The UUID of the call leg. |
VOICE_STREAM_URL | The URL of the audio file that will be streamed into an array. The URL must be in an array. |
Prerequisites
Execute the following command at your terminal prompt to create the JWT for authentication:
export JWT=$(nexmo jwt:generate $PATH_TO_PRIVATE_KEY application_id=$NEXMO_APPLICATION_ID)Write the code
Add the following to play-audio-into-a-call.sh:
curl -X PUT https://api.nexmo.com/v1/calls/$VOICE_CALL_ID/stream \
-H "Authorization: Bearer $JWT"\
-H "Content-Type: application/json"\
-d '{"stream_url": ["'"$VOICE_STREAM_URL"'"]}'Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named stream-audio-into-a-call.js and add the following code:
Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
implementation 'com.vonage:server-sdk-kotlin:2.1.1'Create a class named StreamAudioIntoCall and add the following code to the main method:
val client = Vonage {
applicationId(VONAGE_APPLICATION_ID)
privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}Write the code
Add the following to the main method of the StreamAudioIntoCall class:
val call = client.voice.call(VOICE_CALL_ID)
var streamInfo = call.streamAudio(VOICE_STREAM_URL)
Thread.sleep(5000)
streamInfo = call.stopStream()Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.voice with the package containing StreamAudioIntoCall:
Prerequisites
Add the following to build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Create a class named StreamAudioToCall and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the StreamAudioToCall class:
var response = client.getVoiceClient().startStream(VOICE_CALL_ID, VOICE_STREAM_URL, 0);
Thread.sleep(5000);
response = client.getVoiceClient().stopStream(VOICE_CALL_ID);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Run the following gradle command to execute your application, replacing com.vonage.quickstart.voice with the package containing StreamAudioToCall:
Prerequisites
Install-Package VonagePrerequisites
composer require vonage/clientRun your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvRun your code
Save this file to your machine and run it:
Prerequisites
gem install vonageRun your code
Save this file to your machine and run it:
Try it out
When you run the code, an audio stream from the file specified is played into the call identified with the specified UUID.
Further Reading
- Conference Calling - This guide explains the two concepts Vonage associates with a call, a leg and a conversation.